package com.hh.arome.common.scan.idcard;


import android.app.Activity;

import com.hh.arome.common.scan.idcard.lifecycle.IDCardScanManager;

/**
 * Created by L470 on 2020/7/21.
 */

public class IDCardScan {

//    public static IDCardScanManager with(FragmentActivity fragmentActivity){
//        IDCardScanManager iDCardScanManager = new IDCardScanManager();
//        iDCardScanManager.with(fragmentActivity);
//        return iDCardScanManager;
//    }

    public static IDCardScanManager with(Activity fragmentActivity,int idCardReaderBrand){
        IDCardScanManager iDCardScanManager = new IDCardScanManager();
        iDCardScanManager.with(fragmentActivity,idCardReaderBrand);
        return iDCardScanManager;
    }


    public static IDCardScanManager with(Activity fragmentActivity,int idCardReaderBrand,boolean isOverTime){
        IDCardScanManager iDCardScanManager = new IDCardScanManager();
        iDCardScanManager.with(fragmentActivity,idCardReaderBrand,isOverTime);
        return iDCardScanManager;
    }


}
